Subject: Re: bug#34765: 26.1; with-temp-buffer should not run buffer-list-update-hook

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Sep 2020 10:05:50 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Wed, 26 Aug 2020 13:06:13 +0200
> 
> martin rudalics <[email-masked]> writes:
> 
> > I attach a preliminary patch.
> 
> [...]
> 
> > +DEFUN ("generate-new-buffer", Fgenerate_new_buffer, Sgenerate_new_buffer,
> > +       1, 2, 0,
> > +       doc: /* Create and return a buffer with a name based on NAME.
> > +Choose the buffer's name using `generate-new-buffer-name'.
> > +
> > +Optional second argument INHIBIT-BUFFER-HOOKS non-nil means to not run
> > +any buffer hooks ('kill-buffer-hook', 'buffer-list-update-hook' or
> > +'kill-buffer-query-functions') for this buffer.  This argument should
> > +be set only for internal buffers that are never presented to users or
> > +passed on to other applications.  */)
> 
> Reading this thread, it seemed like everybody agreed that this patch (in
> itself) was a good change, and then the discussion turned to other ways
> of specifying "internal" Emacs buffers (that shouldn't have the hooks
> run as well, as double-spacing "  *temp*", etc).
> 
> The latter may be a nice addition, but the patch here is pretty much
> necessary for implementing something like that, so was there any reason
> the patch wasn't applied?

AFAIU, the patch was never finalized after the review comments.